"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(callback) {
  var input = document.createElement('input');
  input.setAttribute('capture', true);
  if (input.capture) return callback('capture');
  var md = navigator.mediaDevices;
  if (!md || !md.enumerateDevices) return callback(null);
  md.enumerateDevices().then(function (devices) {
    return callback(devices.some(function (device) {
      return 'videoinput' === device.kind;
    }) ? 'camera' : null);
  }).catch(function () {
    return callback(null);
  });
}